import { createRouter, createWebHistory } from "vue-router";

import Home from './views/Home'
import Guide from './views/Guide'
import Issues from './views/Issues'

const routes = [
  {
    path: '/:locale?/guides/:slug',
    name: 'guide',
    props: true,
    component: Guide,
  },
  {
    path: '/:locale?/tasks/:slug',
    name: 'tasks',
    component: Issues,
    props: route => ({
      locale: route.params.locale,
      taskSlug: route.params.slug,
    })
  },
  {path: '/:locale?', component: Home, props: true,},
]

const router = createRouter({
  history: createWebHistory(),
  routes,
  mode: 'history',
  scrollBehavior (to, from) {
    if (to.path === from.path) {
      // only anchor changed, we don't do anything
      return
    }
    return { x: 0, y: 0 }
  }
})

export default router;
